YAML::PP::Perl(3)

NAME
YAML::PP::Perl - Convenience module for loading and dumping Perl objects

SYNOPSIS
    use YAML::PP::Perl;
    my @docs = YAML::PP::Perl->new->load_string($yaml);
    my @docs = YAML::PP::Perl::Load($yaml);

    # same as
    use YAML::PP;
    my $yp = YAML::PP->new( schema => [qw/ Core Perl /] );
    my @docs = $yp->load_string($yaml);

DESCRIPTION
This is just for convenience. It will create a YAML::PP object using the default schema ("Core") and the YAML::PP::Schema::Perl schema.

See YAML::PP::Schema::Perl for documentation.

METHODS

Load, Dump, LoadFile, DumpFile
    These work like the functions in YAML::PP, just adding the "Perl" schema.

new Constructor, works like in YAML::PP, just adds the "Perl" schema to the list of arguments.